VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IComponentHandlerSystemTime Class Referenceabstract

Extended plug-in interface IComponentHandler for an edit controller. More...

`#include <ivsteditcontroller.h>`

Inheritance diagram for IComponentHandlerSystemTime:

## Public Member Functions
virtual tresult | getSystemTime (int64 &systemTime)=0
| get the current systemTime (the same as the one used in ProcessContext::systemTime).
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended plug-in interface IComponentHandler for an edit controller.

- [host imp]
- [extends IComponentHandler]
- [released: 3.7.9]
- [optional]

## Member Function Documentation

virtual tresult getSystemTime | ( | int64 & | systemTime | ) |
| pure virtual

get the current systemTime (the same as the one used in ProcessContext::systemTime).

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.